%define upstream_name    Archive-Peek
%define upstream_version 0.37

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Peek into archives without extracting them
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::More)
BuildRequires: perl(Types::Path::Tiny)
BuildArch:  noarch

%description
This module lets you peek into archives without extracting them. It
currently supports tar files and zip files. To support Bzip2- compressed
files, you should install IO::Uncompress::Bunzip2.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.370.0-2.mga9
+ Revision: 1820866
- Mageia 9 Mass Rebuild

* Mon Nov 15 2021 tv <tv> 0.370.0-1.mga9
+ Revision: 1756665
- update to 0.37

* Wed Feb 12 2020 umeabot <umeabot> 0.350.0-9.mga8
+ Revision: 1492742
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.350.0-8.mga7
+ Revision: 1265694
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.350.0-7.mga6
+ Revision: 1022564
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.350.0-6.mga6
+ Revision: 932574
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.350.0-5.mga5
+ Revision: 751159
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.350.0-4.mga5
+ Revision: 683537
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.350.0-3.mga4
+ Revision: 509189
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.350.0-2.mga3
+ Revision: 363105
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 14 2011 jquelin <jquelin> 0.350.0-1.mga2
+ Revision: 154960
- imported package perl-Archive-Peek


* Fri Oct 14 2011 cpan2dist 0.35-1mga
- initial mageia release, generated with cpan2dist
